
import { __decorate, __param } from '../../../../../../../../external/tslib/tslib.es6.js';
import { Disposable } from '../../../../../base/common/lifecycle.js';
import { IInstantiationService } from '../../../../../platform/instantiation/common/instantiation.js';
import { ILanguageModelToolsService } from '../languageModelToolsService.service.js';
import { EditTool, EditToolData } from './editFileTool.js';

let BuiltinToolsContribution = class BuiltinToolsContribution extends Disposable {
    static { this.ID = 'chat.builtinTools'; }
    constructor(toolsService, instantiationService) {
        super();
        const editTool = instantiationService.createInstance(EditTool);
        this._register(toolsService.registerToolData(EditToolData));
        this._register(toolsService.registerToolImplementation(EditToolData.id, editTool));
    }
};
BuiltinToolsContribution = ( __decorate([
    ( __param(0, ILanguageModelToolsService)),
    ( __param(1, IInstantiationService))
], BuiltinToolsContribution));
const InternalFetchWebPageToolId = 'vscode_fetchWebPage_internal';

export { BuiltinToolsContribution, InternalFetchWebPageToolId };
